---
root: true
ignorePatterns:
    - projects/**/*
overrides:
    - files:
          - '*.ts'
      parserOptions:
          project:
              - tsconfig.json
              - e2e/tsconfig.json
          createDefaultProgram: true
      extends:
          - plugin:@angular-eslint/recommended
          - plugin:@angular-eslint/template/process-inline-templates
          - plugin:prettier/recommended
      rules:
          '@angular-eslint/directive-selector':
              - error
              - type: attribute
                prefix: br
                style: camelCase
          '@angular-eslint/component-selector':
              - error
              - type: element
                prefix: br
                style: kebab-case
    - files:
          - '*.html'
      extends:
          - plugin:@angular-eslint/template/recommended
      rules: {}
